<?php
 
 
add_filter( 'ppt_blocks_args', 	array('block_header200',  'data') );
add_action( 'header200',  		array('block_header200', 'output' ) );
add_action( 'header200-css',  	array('block_header200', 'css' ) );
add_action( 'header200-js',  	array('block_header200', 'js' ) );

class block_header200 {

	function __construct(){}		

	public static function data($a){ 
  
		$a['header200'] = array(
			"name" 	=> "Style 200",
			"image"	=> "header200.jpg",
			"cat"	=> "header",
			"desc" 	=> "", 
			"data" 	=> array( ),
			"order" 	=> 1,
			
			"widget" => "ppt-header",

			"features" => array("stricky header"),
			
		);		
		
		return $a;
	
	} public static function output(){ global $CORE, $CORE_UI, $userdata, $header_settings, $df;
 
 
		// DEFAULTS
		 $df = array(
			"topmenu_show" 		=> 0,		 
			"btn_show" 			=> 1,
		 	"btn2_show" 		=> 1,
			"submenu_show" 		=> 0,
			"submenu_style" 	=> 0,
			"submenu_bg" 		=> 1,			
			"header_style" 		=> 22,
			"header_bg" 		=> "bg-white",
			"topmenu_bg" 		=> "bg-white",
			"topmenu_social" 	=> 1,	
		 );	
	 
		 
		 if(is_array($header_settings) && !empty($header_settings)){ 
		  
		 	foreach($header_settings as $k => $v){			 			
				if($v != ""){
					$df[$k] = $header_settings[$k];
				}			
			}
 		
		}else{		
		
			$default_settings = $CORE->LAYOUT("get_block_settings_defaults_new", array("header", "header200" ) );	
			 		 
			foreach($default_settings as $k => $v){
				if($v != ""){
					$df[$k] = $v;
				}
			}		
		}
  

// LOGO
ob_start();
_ppt_template( 'framework/design/header/new/logo' );
$logoCode = ob_get_contents();
ob_end_clean();

//TOP MENU
ob_start();
_ppt_template( 'framework/design/header/new/topmenu' );
$topMenuCode = ob_get_contents();
ob_end_clean();

// HEADER
ob_start();
_ppt_template( 'framework/design/header/new/header' );
$headerCode = ob_get_contents();
ob_end_clean();

// SUB MENU
ob_start();
_ppt_template( 'framework/design/header/new/submenu' );
$submenuCode = ob_get_contents();
ob_end_clean();

$output = $headerCode.$submenuCode; 

echo str_replace("%logo%",$logoCode,str_replace("%topmenu%",$topMenuCode, ppt_theme_block_output($output, $df, array("header", "header200"))));

	
		}
		
		public static function js(){ 
		return "";
		}
		
		public static function css(){ 
	 
		ob_start();
		?><style>
.ppt-fixed-header-new:not(.fixed-header-active) > .container { padding:20px 15px; }
.fixed-header-active {  background:#fff; box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15) !important; position: fixed;
    z-index: 100;    width: 100%;   top:0px;   animation: fadeIn 0.5s ease-in-out; }
.fixed-header-active > .container { padding:15px 0px; }
@media (min-width: 1200px) {
    .fixed-header-active .textlogo {
        font-size: 25px !important;
    }
}
@keyframes fadeIn {
  from { opacity: 0; }
  to { opacity: 1; }
}

/* mobile */
@media (max-width: 575.98px) { 
	.mobile-p2 { padding:0px 20px; }
	[data-ppt-blocktype="hero"] h1 {
        font-size: 36px !important;
    }
	.lead {
        font-size: 16px !important;
    }
}
</style>
		<?php
		$output = ob_get_contents();
		ob_end_clean();
		echo $output;
		}	
		
}

?>